Jump to content

Ошибка Your server does not allow temporary files to be created...


temius
 Share

Recommended Posts

Собственно, перерыл кучу инфы, но толкового объяснения не нашел. 

Ставлю нулленный IPS_4.0.13.1_Release, скачанный отсюда. Дохожу до сих пор при установке или обновлении ранних версий:

Your server does not allow temporary files to be created in the configured temporary directory. To work around this issue please create a file named constants.php at /var/www/mysite.ru/forum with the following code in it:

<?php

define( 'TEMP_DIRECTORY', dirname( __FILE__ ) . '/uploads' );

Прекрасно , создаю одноименный файл constants.php, с указанным выше содержанием, кидаю в корень mysite.ru/forum/ (для аплоадс даю права 777)

Запускаю по адресной строке mysite.ru/forum/admin/install/index.php выдается следующая ошибка:

Не удается получить доступ к сайту

Веб-страница по адресу http://www.mysite.ru/forum/admin/install/index.php, возможно, временно недоступна или постоянно перемещена по новому адресу.
ERR_CONTENT_DECODING_FAILED

В чем проблема не пойму бьюсь 3 часа нифига не выходит. Подозрения, конечно, возникают ,что формируются неправильно пути из-за того, что форум размещен не в поддомене, и не отдельном домене, а в папке, но это так догадки...

Поясните че да как сделать, так как в других темах люди разобрались , но без подробных пояснений...

Link to comment
Share on other sites

Есть узконаправленный проект со стабильным трафиком, очень нишевой проект. Хочу для посетителей сделать площадку для обмена информацией. Считаю ipb очень хорошо для этого подходит. Хотя, конечно, есть некоторые заморочки с обновлениями. Да и кстати, раньше его лицензионный юзал. 

А что, собственно, такое? В любом случае ща хочу его хорошо прощупать без юзверей, и там уж точно определимся! Ну и честно говоря считаю, что лицензия не стоит своих денег, ну это мое мнение .

В любом случае поясните в чем проблема, описанная выше?

 

Link to comment
Share on other sites

temius, тут видимо имелась в виду устанавливаемая версия. Попробуйте последнюю поставить

Link to comment
Share on other sites

5 минут назад, temius сказал:

В любом случае поясните в чем проблема, описанная выше?

в том, что версия 4.0.13.1 не стабильная и не актуальная

если решили то ставьте либо 4.1.19.4 либо 4.2.2

Link to comment
Share on other sites

1 минуту назад, ro-avde сказал:

Попробуйте последнюю поставить

Да. именно так! ;) @ro-avde Качайте http://ipbmafia.ru/ips4releases/

Link to comment
Share on other sites

Только что, WOLF сказал:

в том, что версия 4.0.13.1 не стабильная и не актуальная

если решили то ставьте либо 4.1.19.4 либо 4.2.2

Вах. Дак у меня сервачок н тянет. Php 5.6 требует ipb . Да мне уже и самому интересно в чем загвоздка. Другие поняли , а вот туплю(((

Link to comment
Share on other sites

Только что, temius сказал:

Дак у меня сервачок н тянет. Php 5.6 требует ipb

может тогда нужно поменять "сервачок" ?

на 5.6 устанавливается 4.1.19.4

Link to comment
Share on other sites

1 минуту назад, WOLF сказал:

может тогда нужно поменять "сервачок" ?

на 5.6 устанавливается 4.1.19.4

Ну за свои деньги сервачок очень не плох. Да и стабильно работает. Можно ,канеш с хостером перететь. Ну а ради интереса поясните. Или это такая тайна великая. И ещё , а по вашему мнению 3.4.9 как себя ведёт?

Link to comment
Share on other sites

2 минуты назад, temius сказал:

по вашему мнению 3.4.9 как себя ведёт?

Ведёт себя хорошо, но морально устарел):)

Link to comment
Share on other sites

4 минуты назад, temius сказал:

Ну за свои деньги сервачок очень не плох. Да и стабильно работает. Можно ,канеш с хостером перететь. Ну а ради интереса поясните. Или это такая тайна великая. И ещё , а по вашему мнению 3.4.9 как себя ведёт?

все зависит от того, что нужно

100р/месяц, не большие деньги чтобы иметь нормальный сервер

Link to comment
Share on other sites

1 минуту назад, WOLF сказал:

все зависит от того, что нужно

100р/месяц, не большие деньги чтобы иметь нормальный сервер

Vds? Это же с какими параметрами? 

Link to comment
Share on other sites

4 минуты назад, temius сказал:

Vds? Это же с какими параметрами? 

а где-то было указано что у вас VDS ?

где-то было указано каким хостингом пользуетесь? 

мы тут за все время то и дело, что сидим и гадаем на кофейной гуще. 

ответ был дан, вариантов предоставили, примеры форумов можете найти в гугле, либо у пользователей данного форума

http://ipbmafia.ru - стоит на версии 4.1.16.1

http://forums.ibresource.ru/ - стоит на версии 3.х

Link to comment
Share on other sites

5 минут назад, WOLF сказал:

а где-то было указано что у вас VDS ?

где-то было указано каким хостингом пользуетесь? 

мы тут за все время то и дело, что сидим и гадаем на кофейной гуще. 

ответ был дан, вариантов предоставили, примеры форумов можете найти в гугле, либо у пользователей данного форума

http://ipbmafia.ru - стоит на версии 4.1.16.1

http://forums.ibresource.ru/ - стоит на версии 3.х

Дак я ж откель знаю , что нужно для корректного ответа? Никто же не спросил подробности. Да vds, centos-6, 1 Гиг оперы, CPU 2Гиг, 30 жесткий.  И хостер vds64.com

8 минут назад, Respected сказал:

 

Простите, это куды вставлять?

Link to comment
Share on other sites

2 минуты назад, temius сказал:

Простите, это куды вставлять?

ЭТо в поддержку хостера можно отправить

Link to comment
Share on other sites

5 минут назад, Respected сказал:

ЭТо в поддержку хостера можно отправить

Это как-то поможет в установке моей четверки??

19 минут назад, WOLF сказал:

а где-то было указано что у вас VDS ?

где-то было указано каким хостингом пользуетесь? 

мы тут за все время то и дело, что сидим и гадаем на кофейной гуще. 

ответ был дан, вариантов предоставили, примеры форумов можете найти в гугле, либо у пользователей данного форума

http://ipbmafia.ru - стоит на версии 4.1.16.1

http://forums.ibresource.ru/ - стоит на версии 3.х

Вам отправить файл. Или уже не ответите?

Link to comment
Share on other sites

6 минут назад, temius сказал:

Это как-то поможет в установке моей четверки??

Нет конечно, от балды написал

Link to comment
Share on other sites

Ну сделал изврат этакий. Сделал установку на локале, а потом все восстановил на хосте. Работает.

Link to comment
Share on other sites

В 10.08.2017 в 21:42, Sipsb сказал:

Да. именно так! ;) @ro-avde Качайте http://ipbmafia.ru/ips4releases/

Последовал Вашему совету и постаивил 4.2.2. Вскрылась другая проблема доступ в админку перестал работать:

mysite.ru/forums/admin/?adsess=cdgmbcums1l2hudv62ck3ef997&app=core&module=system&controller=login&ref=

При этом само тело форума работает  и логинится под админом

Link to comment
Share on other sites

1 час назад, temius сказал:

Последовал Вашему совету и постаивил 4.2.2. Вскрылась другая проблема доступ в админку перестал работать:

mysite.ru/forums/admin/?adsess=cdgmbcums1l2hudv62ck3ef997&app=core&module=system&controller=login&ref=

При этом само тело форума работает  и логинится под админом

Походу IPB не любит вложенности в другие скрипты. Для поддомена все робит

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Ваша ссылка была автоматически строена.   Отображать как обычную ссылку

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...